### Interface

# Goa Ticketing

since: 3.6.0

#### Description [src]

    interface Goa.Ticketing : GObject.Object

Abstract interface type for the D-Bus interface org.gnome.OnlineAccounts.Ticketing.

Available since: 3.6.0

#### Prerequisite

In order to implement Ticketing, your type must inherit from`GObject`.

#### Implementations

- GoaTicketingProxy
- GoaTicketingSkeleton

#### Functions

###### goa_ticketing_interface_info

Gets a machine-readable description of the org.gnome.OnlineAccounts.Ticketing D-Bus interface.

since: 3.6.0

###### goa_ticketing_override_properties

Overrides all `GObject` properties in the `GoaTicketing` interface for a concrete class. The properties are overridden in the order they are defined.

since: 3.6.0

#### Instance methods

###### goa_ticketing_call_get_ticket

Asynchronously invokes the GetTicket() D-Bus method on `proxy`. When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see g_main_context_push_thread_default()). You can then call `goa_ticketing_call_get_ticket_finish()` to get the result of the operation.

since: 3.6.0

###### goa_ticketing_call_get_ticket_finish

Finishes an operation started with goa_ticketing_call_get_ticket().

since: 3.6.0

###### goa_ticketing_call_get_ticket_sync

Synchronously invokes the GetTicket() D-Bus method on `proxy`. The calling thread is blocked until a reply is received.

since: 3.6.0

###### goa_ticketing_complete_get_ticket

Helper function used in service implementations to finish handling invocations of the GetTicket() D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

since: 3.6.0

###### goa_ticketing_dup_details

Gets a copy of the “Details” D-Bus property.

since: 3.18

###### goa_ticketing_get_details

Gets the value of the “Details” D-Bus property.

since: 3.18

###### goa_ticketing_set_details

Sets the “Details” D-Bus property to `value`.

since: 3.18

#### Properties

###### Goa.Ticketing:details

Represents the D-Bus property “Details”.

since: 3.18

#### Signals

###### Goa.Ticketing::handle-get-ticket

Signal emitted when a remote caller is invoking the GetTicket() D-Bus method.

since: 3.6.0

#### Interface structure

    struct GoaTicketingIface {
      GTypeInterface parent_iface;
      gboolean (* handle_get_ticket) (
        GoaTicketing* object,
        GDBusMethodInvocation* invocation
      );
      GVariant* (* get_details) (
        GoaTicketing* object
      );

    }

Virtual table for the D-Bus interface org.gnome.OnlineAccounts.Ticketing.

###### Interface members

`parent_iface`

    GTypeInterface

| The parent interface.

`handle_get_ticket`

    gboolean (* handle_get_ticket) (
        GoaTicketing* object,
        GDBusMethodInvocation* invocation
      )

| Handler for the `GoaTicketing::handle-get-ticket` signal.

`get_details`

    GVariant* (* get_details) (
        GoaTicketing* object
      )

| Getter for the `GoaTicketing:details` property.

#### Virtual methods

###### Goa.Ticketing.get_details

Gets the value of the “Details” D-Bus property.

since: 3.18

###### Goa.Ticketing.handle_get_ticket

Handler for the `GoaTicketing::handle-get-ticket` signal.